<?php
function coupon_flash_deals_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'coupon_flash_deals_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => '000000',
		'width'                  => 2000,
		'height'                 => 200,
		'flex-height'            => true,
		'flex-width'            => true,
		'wp-head-callback'       => 'coupon_flash_deals_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'coupon_flash_deals_custom_header_setup' );

if ( ! function_exists( 'coupon_flash_deals_header_style' ) ) :
function coupon_flash_deals_header_style() {
	$coupon_flash_deals_header_text_color = get_header_textcolor();
	?>
	<style type="text/css">
	<?php
		if ( ! display_header_text() ) :
	?>
		.site-title,
		.site-description {
			position: absolute;
			clip: rect(1px, 1px, 1px, 1px);
		}
	<?php
		else :
	?>
		.site-title,
		.site-description {
			color: #<?php echo esc_attr( $coupon_flash_deals_header_text_color ); ?>;
		}
	<?php endif; ?>
	</style>
	<?php
}
endif;
